Bug 167868 - net-mgmt/smokeping fix and request maintenership
net-mgmt/smokeping fix and request maintenership
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Guido Falsi
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-14 11:00 UTC by rodrigo
Modified: 2012-05-14 16:30 UTC (History)
0 users

See Also:


Attachments
smokeping.patch (724 bytes, patch)
2012-05-14 11:00 UTC, rodrigo
no flags Details | Diff
smokeping.diff (5.07 KB, patch)
2012-05-14 14:47 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rodrigo 2012-05-14 11:00:14 UTC
smokeping is broken, the configure script requires run dependencies (like p5-fcgi) to be installed before
the compilation. As a fast fix I suggest to replace the  RUN_DEPENDS by BUILD_DEPEND to solve the issue.
I also request the maintenership to have more time and work in a more convenient fix. 
Bump PORTREVISION.
Comment 1 vhoffman 2012-05-14 12:55:12 UTC
Just found this PR after upgrading smokeping.

even after getting it to install its still quite broken.

It looks like
ports/162460 was only partially applied. The files dir is missing most
of the patches needed to have smokeping actually run after install.
I'll see if I can actually create the port in a working fashion and send
a shar file.

Vince




Comment 2 Guido Falsi freebsd_committer 2012-05-14 13:07:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 3 Guido Falsi freebsd_committer 2012-05-14 13:50:17 UTC
Hi,

I took this PR because I was already working on a fix myself.
I have already have something which works on my machines.

I'm testing it in my tinderboxes and will followup with patches as soon
as I will be happy with them. This will take a few hours at most. Just
need to clean up the thing a little.

These will need some testing before being committed anyway.

If you have something ready or any suggestions they are very welcome!

Thanks!

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 4 vhoffman 2012-05-14 14:30:09 UTC
I dont have anything ready to go and it sounds like you are better setup
to work on this than me.
Thanks for taking this on.

Vince
Comment 5 Guido Falsi freebsd_committer 2012-05-14 14:47:50 UTC
This is a patch I created. I merged in your (submitter) patch and
request to take maintainership.

The patch fixes dependencies as suggested in the porter's handbook.

I also fixed the configuration file paths, and added back the code to
create the img directoery and fix htdocs ownership.

This patch should make the port work "as it used to" in this emergency
situation.

If you'll become maintainer please note that the OPTIONS part is not
correctly implemented and needs reqorking, to avoid silent feature
auto-activation:

http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-options.html#AEN2653

For now this patch will "fix" the port and make it install and run, but
this needs to be fixed at some point.

Please test this patch and if the submitter(and my mentors) approve it
I'll commit it.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 6 rodrigo 2012-05-14 15:21:37 UTC
Ok. The patch can be applied as is.
Thanks for the changes.

- rodrigo

On 14/05/12 15:47 +0200, Guido Falsi wrote:
> This is a patch I created. I merged in your (submitter) patch and
> request to take maintainership.
> 
> The patch fixes dependencies as suggested in the porter's handbook.
> 
> I also fixed the configuration file paths, and added back the code to
> create the img directoery and fix htdocs ownership.
> 
> This patch should make the port work "as it used to" in this emergency
> situation.
> 
> If you'll become maintainer please note that the OPTIONS part is not
> correctly implemented and needs reqorking, to avoid silent feature
> auto-activation:
> 
> http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-options.html#AEN2653
> 
> For now this patch will "fix" the port and make it install and run, but
> this needs to be fixed at some point.
> 
> Please test this patch and if the submitter(and my mentors) approve it
> I'll commit it.
> 
> -- 
> Guido Falsi <madpilot@FreeBSD.org>
Comment 7 vhoffman 2012-05-14 15:35:30 UTC
Working for me, the only surprise was that
/usr/local/smokeping/htdocs/smokeping.fcgi used to be
/usr/local/smokeping/htdocs/smokeping.cgi
not a big problem but I had to change the apache config to reflect that.
Again thanks to all for the quick fix.

Vince
On 14/05/2012 15:21, Rodrigo OSORIO wrote:
> Ok. The patch can be applied as is.
> Thanks for the changes.
>
> - rodrigo
>
> On 14/05/12 15:47 +0200, Guido Falsi wrote:
>> This is a patch I created. I merged in your (submitter) patch and
>> request to take maintainership.
>>
>> The patch fixes dependencies as suggested in the porter's handbook.
>>
>> I also fixed the configuration file paths, and added back the code to
>> create the img directoery and fix htdocs ownership.
>>
>> This patch should make the port work "as it used to" in this emergency
>> situation.
>>
>> If you'll become maintainer please note that the OPTIONS part is not
>> correctly implemented and needs reqorking, to avoid silent feature
>> auto-activation:
>>
>> http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-options.html#AEN2653
>>
>> For now this patch will "fix" the port and make it install and run, but
>> this needs to be fixed at some point.
>>
>> Please test this patch and if the submitter(and my mentors) approve it
>> I'll commit it.
>>
>> -- 
>> Guido Falsi <madpilot@FreeBSD.org>
>
Comment 8 Guido Falsi freebsd_committer 2012-05-14 15:37:41 UTC
On Mon, May 14, 2012 at 03:35:30PM +0100, Vincent Hoffman-Kazlauskas wrote:
> Working for me, the only surprise was that
> /usr/local/smokeping/htdocs/smokeping.fcgi used to be
> /usr/local/smokeping/htdocs/smokeping.cgi
> not a big problem but I had to change the apache config to reflect that.
> Again thanks to all for the quick fix.

I stumbled on that one too, but that's something casused by the software
itself. Perhaps an entry in UPDATING should be added?

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 9 Guido Falsi freebsd_committer 2012-05-14 15:44:57 UTC
On Mon, May 14, 2012 at 03:35:30PM +0100, Vincent Hoffman-Kazlauskas wrote:
> Working for me, the only surprise was that
> /usr/local/smokeping/htdocs/smokeping.fcgi used to be
> /usr/local/smokeping/htdocs/smokeping.cgi
> not a big problem but I had to change the apache config to reflect that.
> Again thanks to all for the quick fix.

Correcting myself, there is already a notice in UPDATING...

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 10 dfilter freebsd_committer 2012-05-14 16:03:26 UTC
madpilot    2012-05-14 15:03:12 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/smokeping   Makefile 
  Added files:
    net-mgmt/smokeping/files patch-bin-smokeping 
                             patch-bin-smokeping_cgi 
                             patch-bin-tSmoke 
                             patch-htdocs-Makefile.in 
  Log:
  - Fix build and install
  - Assign maintainership to submitter
  
  Also merged fixes by dikshie <dikshie@sfc.wide.ad.jp> (ports/162460).
  
  PR:             ports/167868
  Submitted by:   Rodrigo OSORIO <rodrigo@bebik.net>
  Approved by:    crees (mentor)
  
  Revision  Changes    Path
  1.58      +11 -4     ports/net-mgmt/smokeping/Makefile
  1.1       +17 -0     ports/net-mgmt/smokeping/files/patch-bin-smokeping (new)
  1.1       +21 -0     ports/net-mgmt/smokeping/files/patch-bin-smokeping_cgi (new)
  1.1       +21 -0     ports/net-mgmt/smokeping/files/patch-bin-tSmoke (new)
  1.1       +11 -0     ports/net-mgmt/smokeping/files/patch-htdocs-Makefile.in (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Guido Falsi freebsd_committer 2012-05-14 16:03:53 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 12 dikshie 2012-05-14 16:28:15 UTC
thanks a lot for your work! 

-dikshie- 

On May 14, 2012, at 9:50 PM, Guido Falsi wrote:

> Hi,
> 
> I took this PR because I was already working on a fix myself.
> I have already have something which works on my machines.
> 
> I'm testing it in my tinderboxes and will followup with patches as soon
> as I will be happy with them. This will take a few hours at most. Just
> need to clean up the thing a little.
> 
> These will need some testing before being committed anyway.
> 
> If you have something ready or any suggestions they are very welcome!
> 
> Thanks!
> 
> -- 
> Guido Falsi <madpilot@FreeBSD.org>